Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/5405/?format=api
{ "ob_id": 5405, "uuid": "7d74964114750f4e9230c526a9410ed4", "title": "Vertical wind profile data from 7th October to 20th November 2003 measured by the University of Manchester 1290 mhz mobile wind profiler deployed on long term observations at Capel Dewi, Wales", "abstract": "Vertical profiles of horizontal and vertical wind components as well as signal-to-noise (SNR) and spectal width measurements were collected at the NERC Mesosphere-Stratosphere-Troposphere radar facility site, Capel Dewi, near Aberystwyth, Ceredigion, Wales, between 7th October and 20th November 2003 as part of ongoing long term observations made by the NERC National Centre for Atmospheric Science (NCAS). These data were collected by the NCAS Atmospheric Measreument Facility's (AMF) 1290 MHz Mobile Wind Profiler, owned and operated by the University of Manchester and previously known as the aber-radar-1290mhz at the time of these observations. The data are available at 15 minute intervals as netCDF files to all registered BADC users under the Open Government License.\r\n\r\nThe dataset contains the following measurements:\r\n\r\nEastward wind velocity component\r\nNorthward wind velocity component\r\nUpward air velocity\r\nDirection the wind is from\r\nSignal to noise ratio\r\nAltitude of instrument above the ground\r\nLongitude of instrument\r\nLatitude of instrument\r\nSpectral width", "keywords": "NCAS, AMF, radar, wind profiler, boundary layer wind profiler, turbulence, thermals, boundary layer structure, radar wind profiler, Doppler radar, UHF radar, 'Clear' air radar, morning transition, convective boundary layer, mixed layer, entrainment zone, transitional boundary layer, nocturnal boundary layer, lower level jet, nocturnal jet, weather fronts, sting jets", "publicationState": "published", "dataPublishedTime": "2013-12-10T17:00:13", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/42812/?format=api", "dataPath": "/badc/ncas-longterm-obs/data/man-radar-1290mhz/20031007-20031120", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 971, "numberOfFiles": 1, "fileFormat": "Data are netCDF formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1554/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/107/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13200/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21769/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22316/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22318/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22320/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22321/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25384/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25852/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25857/?format=api" ], "dataLineage": "Data were collected by the wind profiler before being processed by the instrument scientist, Emily Norton, and then provided to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3525/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/25342/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5404/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23704/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23706/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23707/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23708/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23710/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42696/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42697/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23705/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/5408/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }